$('#client').live('change', function () {



    var val = $(this).val();

    if (val === '-2') {
        //document.getElementById('myModal1').style.display = 'block';
        $('#myModal1').modal('show');

    }

});

var formatResult;
//alert(111);
$(document).ready(function (e) {


jQuery.fn.forcepositivefloat = function () {

    return this.each(function () {
        $(this).keydown(function (e) {
            var presedval = e.key;
            var key = e.which || e.keyCode;
            //alert(key);
            if (!e.shiftKey && !e.altKey && !e.ctrlKey &&
                    // numbers
                    key >= 48 && key <= 57 ||
                    // Numeric keypad
                    key >= 96 && key <= 105 ||
                    // comma, period and minus, . on keypad
                    //key == 190 || key == 188 || key == 109 || key == 110 ||
                    // Backspace and Tab and Enter
                    key == 8 || key == 9 || key == 13 ||
                    // Home and End
                    key == 35 || key == 36 ||
                    // left and right arrows
                    key == 37 || key == 39 ||
                    // plus and minus
                    key == 109 || key == 107 || key == 173 || key == 43

                    //dot or point  .  on keyboard  for one time
                            (key == 110 && $(this).val().indexOf(".") < 0) ||
                            (key == 190 && $(this).val().indexOf(".") < 0 && presedval == ".") ||
                            // Del and Ins
                            key == 46 || key == 45)
                return true;

            return false;
        });
    });
}

   $(".realNo").forcepositivefloat();

    //# start m7md .
//    $('.paytype').on('change',function(){
//
//       var ths = $(this);
//       var ths_val = ths.val();
//       if( ths_val == '2' && $('.billNo').hasClass('hide_div')){
//
//            $('.billNo').removeClass('hide_div');
//            $('.billNo').addClass('show_div');
//
//            $('.kashfPrice').removeClass('show_div');
//            $('.kashfPrice').addClass('hide_div');
//       }else{
//            $('.kashfPrice2').removeClass('show_div');
//            $('.kashfPrice2').addClass('hide_div');
//
//            $('.billNo').removeClass('show_div');
//            $('.billNo').addClass('hide_div');
//
//            $('#bill_id').val('');
//            $('#kashfvalue2').val('');
//
//            $('.kashfPrice').removeClass('hide_div');
//            $('.kashfPrice').addClass('show_div');
//       }
//
//    });

    $('#bill_id').on('focusout', function () {

        var ths_val = $(this).val();
        if (isNaN(ths_val) == true)
        {
            alert('ادخل رقم');
            $(this).val("");
        } else
        {
            if (ths_val != '') {
                $.post('billsajax.php?do=getBillPrice', {billno: ths_val}, function (data) {
                    data = JSON.parse(data);
                    console.log(data);
                    $('.kashfPrice').removeClass('hide_div');
                    $('.kashfPrice').addClass('show_div');
                    $('#kashfvalue').val(data.productstotalprice);
                    //$("#client:selected").val(data.client_name);
                    $("#client").select2("data", {id: data.client_id, text: data.client_name});

                });
            }
        }


    });


    $("#client").select2({
        placeholder: "اختر عميل ",
        minimumInputLength: 0,
        //  minimumInputLength: 3,
        multiple: false,
        quietMillis: 100,
        ajax: {
            url: "billsajax.php?do=getclients",
            dataType: 'json',
            data: function (term, page) {
                //  alert(term);
                return {
                    term: term, //search term
                    page_limit: 10, // page size
                };
            },
            results: function (data) {

                // alert(term);
                return {results: data};
            }
        },
        formatResult: formatResult,
        initSelection: function (element, callback) {
            var item = element.val().split(':');
            var data = {id: item[0], text: item[1]};
            callback(data);
        }
    });


    if ($('#oldclientid').length > 0)
    {
        $("#client").select2("data", {id: $('#oldclientid').val(), text: $('#oldclientname').val()});
    }

    //# to make client name نقدى
    //# as default for client selection .
    var nakdyOnly = $('#nakdyOnly').val();
    if (nakdyOnly == 1) {
        $("#client").select2("data", {id: "1", text: "نقدى"});
    }

});

$('.savemodel1').on('click', function (e) {

    if ($('#clientInfo').validate().form())
    {
        var newclientName = $('#newclientName').val();
        var clientcode = $('#clientcode').val();
        var clientareaid = $('#clientareaid').val();
        var newclientdebt = $('#newclientdebt').val();
        var clientaddress = $('#clientaddress').val();
        var clientphone = $('#clientphone').val();
        var clientmobile = $('#clientmobile').val();
        var clientdetails = $('#clientdetails').val();
        var emp = '';

        if (newclientName == '') {
            e.preventDefault();
            if ($('#nameError').html() == "")
            {
                $('#nameError').append("<p style='color: red;'>ادخل اسم العميل </p>");
            }
        }
        else if (clientareaid == 0) {
            e.preventDefault();
            $('#nameError').html("");
            if ($('#areaError').html() == "")
            {
                $('#areaError').append("<p style='color: red;'>  اختر المنطقة </p>");
            }

        }
        else if (newclientdebt == '') {
            e.preventDefault();
            $('#nameError').html("");
            $('#areaError').html("");
            if ($('#areaError').html() == "")
            {
                $('#nameError2').append("<p style='color: red;'>ادخل رقم المديونية </p>");
            }

        } else {
            $.post('clientControllerAjax.php?do=addclient2', {newclientName: newclientName, clientaddress: clientaddress, clientphone: clientphone, clientmobile: clientmobile, newclientdebt: newclientdebt, clientdetails: clientdetails, clientareaid: clientareaid, clientcode: clientcode, control: 1}, function (data) {

                $('#myModal1').modal('hide');
                // document.getElementById('myModal1').style.display = 'none';
                if (data == 2) {
                    alert('هذا العميل تمت اضافتة من قبل ');
                    location.reload();
                } else if (data == 3) {
                    alert('رقم الكود تمت اضافتة من قبل ');
                    location.reload();
                }
                else {
                    $("#clientDiv").html(data);

                    $(':input', '#clientInfo').val('');
                    $('#clientareaid').select2();
                }
            });
        }

    }
});



function closeClientForm()
{
    //document.getElementById('myModal1').style.display = 'none';
    $('#myModal1').modal('hide');

}

$('#search').on('click', function () {
    var datefrom = $('#datefrom').val();
    var dateto = $('#dateto').val();
    var branchId = $('#branchId').val();
    $.post('rb_doc_kashf_Ajax.php', {datefrom: datefrom, dateto: dateto, branchId: branchId}, function (data) {

        $('#mytbody').html('');
        $('#mytbody').append(data);
        $('.dataTableClass').dataTable({
            "bPaginate": false,
            "bStateSave": true,
            "sDom": 'TCR<"clear">lfrtip',
            "oTableTools": {
                "aButtons": [
                    "copy",
                    "print",
                    {
                        "sExtends": "collection",
                        "sButtonText": "حفظ",
                        "aButtons": ["csv", "xls"]
                    }
                ]
            }
        });
        $('.dataTableClass td').css("height", "30px");
    });
});




function isInteger(f) {
    return typeof (f) === "number" && Math.round(f) == f;
}
function isFloat(f)
{
    return typeof (f) === "number" && !isInteger(f);
}



$(".checknumintfolat").live('blur', function (e) {


    var x = isInteger(Number($(this).val()));
    var y = isFloat(Number($(this).val()));

    var value = Number($(this).val());


    if (x)
    {
        if (value > 0)
        {

            $finalvalue = '+' + value + '.00';
            $(this).val($finalvalue);
        }
        else
        {

            $finalvalue = value + '.00';

            $(this).val($finalvalue);
        }


    }
    if (y)
    {
        // alert('yy');
        if (value > 0)
        {

            $newvalue = value.toFixed(2);
            //alert($newvalue);
            //decimalAdjust('round', value, -4);
            // alert('+newvalue'+$newvalue);
            $finalvalue = '+' + $newvalue;
            $(this).val($finalvalue);

        }
        else
        {

            // alert('-newvalue'+$newvalue);
            $newvalue = value.toFixed(2);//decimalAdjust('round', value, -4);
            //    alert($newvalue);
            $finalvalue = $newvalue;
            $(this).val($finalvalue);
        }

    }


});

$('#docKashfS').live('click', function (e) {

    if ($('#rb_doc_kashf').validate().form())
    {
        $(this).attr('disabled', true);
        $('#rb_doc_kashf').submit();
    }
    else
    {
        e.preventDefault();
    }

});


$('#btnKashf').live('click', function (e) {
    $('#btnKashf').attr('disabled', true);
    var kashfvalue = $('#kashfvalue').val();
    var supplier = $('#supplier').val();
    var docSelect = $('#docSelect').val();
    if (supplier == -1 || docSelect == -1 || supplier == -2)
    {
        alert("من فضلك ادخل البيانات كاملة");
        $('#btnKashf').attr('disabled', false);
    }
    else
    {
        $('#rb_kashfForm').submit();
//        if (kashfvalue != "" && kashfvalue != 0)
//        {
//            $('#rb_kashfForm').submit();
//        }
//        else
//        {
//            $('#kashfvalue').css('background-color', '#fdac9a');
//            $('#kashf_valueError').show();
//            $('#btnKashf').attr('disabled', false);
//        }
    }


//
//        $('#rb_doc_kashf').submit();
});
